Subject: Re: CCL:Text file transfer between linux and dos

From: "Martin L. Sage" <[email-masked]>
Date: Tue, 29 Feb 2000 12:38:52 -0500

Run the program dos2unix on each file.  If you do not have that program
do the following:
   tr -d \\015 < 'file name' > 'new file name'

where 'file name' is the name of the file you have in the mounted DOS
partition including path and 'new file name' is the name of the file
including path where you want the file to reside for use in Linux.  If
you want it to stay where it was and keep the same name you must change
the name in the 'tr' operation and use 'mv' to change it back to the
original name.

Yubo Fan wrote:
> 
> Hi,
> 
> I have installed Windows 98 and RedHat Linux 6.1 on my PC. Usually I
> edit G98 input file on Windows 98. The problem is when I start Linux and
> mount the DOS partitions, I cannot copy the input files correctly. "^M"
> was added to the end of each lines. They cannot work by G98.
> 
> I need some help. Is there a way to copy the files by ascii way (not
> binary way).
> 
> Thanks in advance
> 
> Y. Fan
> 
> --
> =============================================================
> Yubo Fan                         Email: [email-masked]
> Organic Synthesis Lab
> The Department of Chemistry
> Fudan University                 Phone: 8621-65648139
> No. 220 Handan Road              Fax:   8621-65641740
> Shanghai, 200433
> P. R. China
> =============================================================
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]